<!--- 
File:			BulkEmail.cfm	
Description:	Demos the use of bulk email
Author:			Barry Moore	
Created:		07-Apr-2002
--->
<HTML>
  <HEAD>
      <TITLE>Bulk Email Example</TITLE>
  </HEAD>
  <BODY>
  	<!--- query the database for employee information --->
  	<CFQUERY NAME="qStaffMail" DATASOURCE="staff">
  		SELECT 	FirstName, LastName, Email
  		FROM 	Employees
  	</CFQUERY>
	
 	<!--- add your own email address to the CC attribute
		  so you will recv a copy of each email --->
   	<CFMAIL QUERY="qstaffmail" 
			TO="#Email#" 
			CC="your.emailaddress.here" 
			FROM="admin@work.com" 
			SUBJECT="New Leave Policy" 
			SERVER="your.mailserver.here">
  		<!--- add an attachment from the server's C: drive 
			  if you installed the exercises on another drive
			  amend the path information --->
  	    <CFMAILPARAM FILE="C:\CFMX10Steps\Examples\Step07\docs\LeavePolicy.pdf">
Dear #FirstName# #LastName#, 

There has been a recent change to the company's leave policy. Please review the attached document.
  	</CFMAIL>
  	<CFOUTPUT>
  		Your bulk email has been sent to <B>#qStaffMail.recordcount#</B> recipients.
  	</CFOUTPUT>
  </BODY>
</HTML>
