<!--- 
File:			ScopeVariables.cfm	
Description:	Display shared memory scope variables
Author:			Barry Moore	
Created:		15-Apr-2002
--->
<HTML>
  <HEAD>
      <TITLE>Share Memory Scope Variables</TITLE>
  </HEAD>
  <BODY>
  <H2>Shared Memory Scope Variables</H2>
  <H3>Session Scope</H3>
  <CFOUTPUT>
  	<!--- lock scope before reading --->
  	<CFLOCK TIMEOUT="10" THROWONTIMEOUT="No" TYPE="READONLY" SCOPE="SESSION">
  		<B>Session CFID:</B> #Session.CFID#<BR>
		<B>Session CFToken:</B> #Session.CFToken#<BR>
	</CFLOCK>
	<HR>
	<H3>Application Scope</H3>
	<!--- lock scope before reading --->
	<CFLOCK TIMEOUT="10" THROWONTIMEOUT="No" TYPE="READONLY" SCOPE="APPLICATION">
		<B>Application Name:</B> #Application.ApplicationName#
	</CFLOCK>
	<HR>
	 <H3>Server Scope</H3>
	<!--- lock scope before reading --->
	<CFLOCK TIMEOUT="10" THROWONTIMEOUT="No" TYPE="READONLY" SCOPE="SERVER">
		<B>Product:</B> #Server.ColdFusion.ProductName#<BR>
		<B>Product Level:</B> #Server.ColdFusion.Productlevel#<BR>
		<B>Product Version:</B> #Server.ColdFusion.ProductVersion#<BR>
		<B>Expiration:</B> #Server.Coldfusion.Expiration#<BR>
		<B>Serial Number:</B> #Server.ColdFusion.SerialNumber#<BR>
		<B>Root Directory:</B> #Server.ColdFusion.RootDir#<BR>
		<B>Supported Locales: </B>#Server.ColdFusion.SupportedLocales#<BR>
		<BR>
		<B>OS Name:</B> #Server.OS.Name#<BR>
		<B>OS Version:</B> #Server.OS.Version#<BR>
		<B>Buuild Number:</B> #Server.OS.BuildNumber#<BR>
		<B>OS Architecture:</B> #Server.OS.Arch#<BR>
		<B>Additional Information:</B> #Server.OS.AdditionalInformation#<BR>
	</CFLOCK>
  </CFOUTPUT>
  </BODY>
</HTML>
