<!--- 
File:			Array3.cfm	
Description:	Demo using queries to populate an array
Author:	
Created:	
--->
<HTML>
  <HEAD>
      <TITLE>Array 3</TITLE>
  </HEAD>
  <BODY> 
    <!--- lock the variable and create the array --->	     
    <CFLOCK TIMEOUT="10" THROWONTIMEOUT="No" TYPE="EXCLUSIVE" SCOPE="APPLICATION">
		<CFSET APPLICATION.aPhoneList=ArrayNew(2)>
	</CFLOCK>
	<!--- retrieve database information. --->
	<CFQUERY NAME="qPhoneList" DATASOURCE="#MyAppDSN#">
		SELECT	FirstName, LastName, Extension
		FROM    	Employees 
		ORDER BY  	LastName
	</CFQUERY>
	
	<!--- populate the array--->
	<CFLOCK TIMEOUT="10" THROWONTIMEOUT="No" TYPE="EXCLUSIVE" SCOPE="APPLICATION">
		<CFLOOP QUERY="qPhoneList">
			<CFSET APPLICATION.aPhoneList[CurrentRow][1]=qPhoneList.LastName>
			<CFSET APPLICATION.aPhoneList[CurrentRow][2]=qPhoneList.FirstName>
			<CFSET APPLICATION.aPhoneList[CurrentRow][3]=qPhoneList.Extension>
		</CFLOOP>
	</CFLOCK>
	<P><A HREF="PhoneList.cfm">Display Phone List</A></P>
	<CFLOCK TIMEOUT="10" THROWONTIMEOUT="No" TYPE="READONLY" SCOPE="APPLICATION">
		<CFDUMP VAR="#APPLICATION.aPhoneList#">
	</CFLOCK>
  </BODY>
</HTML>
    
