<!--- 
File:			AdminHome.cfm	
Description:	Homepage for site administration
Author:			Barry Moore	
Created:		30-Mar-2002
--->

<!--- query to list products currently marked 'On Special' --->
<CFQUERY NAME="qOnSpecial" DATASOURCE="BBData">
	SELECT	ProductNo, Name, OnSpecial
	FROM	Products
	WHERE	OnSpecial <> 0
</CFQUERY>


<HTML>
<HEAD>
    <TITLE>Beelze-Bubba Web Site Administration Panel</TITLE>
	<LINK REL="stylesheet" HREF="../styles/bbstyle.css" TYPE="text/css">
</HEAD>
   <BODY>
   	<!--- include panel --->
   	<CFINCLUDE TEMPLATE="inc_Banner.htm">
	
	<!--- table for main content --->
	<TABLE CELLSPACING="2" CELLPADDING="2" BORDER="0">
		<TR>
			<!--- cell with navigation menu --->
		    <TD VALIGN="top" WIDTH="175">
				<CFINCLUDE TEMPLATE="inc_Navigation.htm">
			</TD>
			<!--- main content cell --->
		    <TD VALIGN="top">
				<!--- start nested table to list OnSpecial products --->
				<TABLE CELLSPACING="4">
					<TR>
						<TD COLSPAN="3"><B>Products Currently Marked 'On Special'</B></TD>
					</TR>
					<CFIF qOnSpecial.RecordCount GT 1>
					  <TR>
						<TD COLSPAN="3"><FONT COLOR="##FF0000">Only one product should be on special at a time.</FONT></TD>
					  </TR>
					</CFIF>
				    <CFOUTPUT QUERY="qOnSpecial">
					  <TR>
						<TD>#UCase(ProductNo)#</TD>
						<TD>#Name#</TD>
						<TD><A HREF="ProductEdit.cfm?pid=#ProductNo#">Edit</A></TD>
					  </TR>
				    </CFOUTPUT>
				</TABLE>
				
				
			</TD>
		</TR>
	</TABLE>
	
	
   </BODY>
</HTML>
