<!--- 
File:			NewsUpdate.cfm	
Description:	Action page for NewsEdit.cfm
Author:			Barry Moore	
Created:		30-Mar-2002
--->
<!--- if the checkbox on the form was not checked its value will not be passed
	  so check to see if if exists, if not give it the value of 0 --->
<CFPARAM NAME="FORM.Publish" DEFAULT="0">

<!--- update product information --->
<CFQUERY DATASOURCE="BBdata">
	UPDATE  NewsItems 
	SET  	NewsDate = #CreateODBCDate(FORM.NewsDate)#,
			NewsHeadline = '#Trim(FORM.NewsHeadline)#', 
			NewsBody = '#Trim(FORM.NewsBody)#',
			Publish = #(FORM.Publish)#
	WHERE	NewsItemID = #FORM.NewsItemID#
</CFQUERY>
<!--- automated email notification to the webmaster --->
<CFMAIL TO="your.emailaddress.here"
        FROM="admin@beelze-bubba.com"
        SUBJECT="Product Update"
        SERVER="your.mailserver.here">Webmaster Email:

There has been an update to News Item
#Trim(FORM.NewsHeadline)# - News Date: #CreateODBCDate(FORM.NewsDate)#
http://#CGI.Server_Name#/NewSite/News/News.cfm	

------------------------------------------------------------
This is an automated email from the Beelze-Bubba Web server. 
Please do not reply.		
</CFMAIL>
<HTML>
<HEAD>
    <TITLE>Successful News Item Update</TITLE>
	<LINK REL="stylesheet" HREF="../styles/bbstyle.css" TYPE="text/css">
</HEAD>
   <BODY>
   	<!--- include panel --->
   	<CFINCLUDE TEMPLATE="inc_Banner.htm">
	
	<!--- table for main content --->
	<TABLE CELLSPACING="2" CELLPADDING="2" BORDER="0">
		<TR>
			<!--- cell with navigation menu --->
		    <TD VALIGN="top" WIDTH="175">
				<CFINCLUDE TEMPLATE="inc_Navigation.htm">
			</TD>
			<!--- main content cell --->
		    <TD VALIGN="top">
				<B>The details for '<CFOUTPUT>#FORM.NewsHeadline#</CFOUTPUT>' have been
				successfully updated.</B>
			</TD>
		</TR>
	</TABLE>
   </BODY>
</HTML>
