<!--- 
File:			ProductEdit.cfm	
Description:	Page to edit product details
Author:			Barry Moore	
Created:		30-Mar-2002
--->
<!--- get product information --->
<CFQUERY NAME="qProductDetails" DATASOURCE="#BBWebAppDSN#">
	SELECT  *
	FROM    Products 
	WHERE  	ProductNo = '#URL.pid#'
</CFQUERY>
<HTML>
<HEAD>
    <TITLE>Edit Product Description</TITLE>
	<LINK REL="stylesheet" HREF="../styles/bbstyle.css" TYPE="text/css">
</HEAD>
   <BODY>
   	<!--- include banner --->
   	<CFINCLUDE TEMPLATE="inc_Banner.htm">
	
	<!--- table for main content --->
	<TABLE CELLSPACING="2" CELLPADDING="2" BORDER="0">
		<TR>
			<!--- cell with navigation menu --->
		    <TD VALIGN="top" WIDTH="175">
				<CFINCLUDE TEMPLATE="inc_Navigation.htm">
			</TD>
			<!--- main content cell --->
		    <TD VALIGN="top">
				<B>Edit Product Description</B>
				<!--- begin nested table with form --->
				<TABLE BGCOLOR="#FFFFCC"  BORDERCOLOR="#000000" BORDER="1" CELLPADDING="4" CELLSPACING="0" >
				  <CFFORM ACTION="ProductUpdate.cfm" METHOD="POST">
					<TR>
						<TD>Product Number</TD>
						<TD>
							<CFOUTPUT>
								#UCase(qProductDetails.ProductNo)#
								<INPUT TYPE="hidden" NAME="ProductNo" VALUE="#qProductDetails.ProductNo#">
							</CFOUTPUT>
						</TD>
					</TR>
					<TR>
						<TD>Product Name</TD>
						<TD><CFINPUT TYPE="Text" NAME="Name" VALUE="#qProductDetails.Name#" MESSAGE="Please enter a named" REQUIRED="Yes" SIZE="30" MAXLENGTH="100"></TD>
					</TR>
					<TR>
						<TD>Description</TD>
						<TD><TEXTAREA COLS="40" ROWS="6" NAME="Description" WRAP="Virtual"><CFOUTPUT>#qProductDetails.Description#</CFOUTPUT></TEXTAREA></TD>
					</TR>
					<TR>
						<TD>Category</TD>
						<TD><CFSELECT NAME="Category">
								<!--- use a list loop to loop through category names --->
								<CFLOOP INDEX="i" LIST="Chillies,Clothing,Gifts,Sauces">
									<CFIF i IS qProductDetails.Category>
											<!--- if the current list value is the same as the product
													category, the option is selected --->
											<CFOUTPUT><OPTION VALUE="#i#" SELECTED>#i#</OPTION></CFOUTPUT>
										<CFELSE>
											<!--- if not the option is just listed --->
											<CFOUTPUT><OPTION VALUE="#i#">#i#</OPTION></CFOUTPUT>
									</CFIF>
								</CFLOOP>
							</CFSELECT>
						</TD>
					</TR>
					<TR>
						<TD>Price</TD>
						<TD><CFINPUT TYPE="Text" NAME="Price" VALUE="#NumberFormat(qProductDetails.Price,"999.99")#" MESSAGE="Enter a price" REQUIRED="Yes" SIZE="10"></TD>
					</TR>
					<TR>
						<TD>Image File Name</TD>
						<TD><CFINPUT TYPE="Text" NAME="ImageFile" VALUE="#qProductDetails.ImageFile#" MESSAGE="Enter iamge file name" REQUIRED="Yes" SIZE="10"></TD>
					</TR>
					<TR>
						<TD>On Special</TD>
						<TD>
							<CFIF qproductDetails.OnSpecial IS 0>
									<CFINPUT TYPE="Checkbox" NAME="OnSpecial">
								<CFELSE>
									<CFINPUT TYPE="Checkbox" NAME="OnSpecial" CHECKED="Yes">
							</CFIF>
						</TD>
					</TR>
					<TR>
						<TD>Special Price</TD>
						<TD><CFINPUT TYPE="Text" NAME="SpecialPrice" VALUE="#NumberFormat(qProductDetails.SpecialPrice,"999.99")#" REQUIRED="No" SIZE="10"></TD>
					</TR>
					<TR>
						<TD>Notes</TD>
						<TD><TEXTAREA COLS="40" ROWS="6" NAME="Notes" WRAP="Virtual"><CFOUTPUT>#qProductDetails.Notes#</CFOUTPUT></TEXTAREA>
						</TD>
					</TR>
					<TR>
						<TD>&nbsp;</TD>
						<TD><INPUT TYPE="submit" NAME="Submit" VALUE="Update Details"></TD>
					</TR>
				  </CFFORM>
				</TABLE>
				
			</TD>
		</TR>
	</TABLE>
  </BODY>
</HTML>
