<!--- 
File:			DateFormat2.cfm
Description:	This file illustrates the use of ColdFusion comments
Author:			Barry Moore
Created:		25-Jan-02
 --->
<HTML>
<HEAD>
    <TITLE>The Date Format Function</TITLE>
</HEAD>
   <BODY>
   <!-- This is an HTML comment. It will show up if you view source -->
   <!--- This is a ColdFusion comment it will NOT show up in the source --->
   
   <H2>DateFormat() Examples:</H2>
    <!--- Create a variable using the Now() function --->
    <CFSET MyDateVariable = Now()>
	
	<!--- Output dates using various formats --->
   	<CFOUTPUT> 
		<!--- display the date variables value without formatting --->
		#MyDateVariable#<BR>	
		<!--- DateFormat() function using a variable and no mask --->
		#DateFormat(MyDateVariable)#<BR>
		<!--- DateFormat() function using a string and no mask --->
		#DateFormat("12/10/02")#<BR>
		<!--- DateFormat() function using a string and full mask --->
		#DateFormat("12/10/02","dddd, dd mmmm - yyyy")#<BR>
		<!--- DateFormat() function using a string and month only mask --->
		#DateFormat("12/10/02","mmmm")#
	</CFOUTPUT>
   </BODY>
</HTML>
