<!--- 
File:			EmployeeNew.cfm	
Description:	Form to insert new employee details
Author:			Barry Moore	
Created:		25-Mar-2002
--->

<!--- get department information to build CFSELECT menu --->
<CFQUERY NAME="qDepartments" DATASOURCE="Staff">
	SELECT 		DepartmentID, DepartmentName
	FROM 		Departments
	ORDER BY 	DepartmentName
</CFQUERY>

<HTML>
<HEAD>
     <TITLE>Add A New Employee</TITLE>
</HEAD>
<BODY>
  <H2>Add A New Employee</H2>
  <CFFORM ACTION="EmployeeInsert.cfm" METHOD="POST" >
  <TABLE BORDER="1" CELLSPACING="0" CELLPADDING="5" BORDERCOLOR="#000000" BGCOLOR="#FFFFCC">
	<TR>
		<TD>Employee ID</TD>
		<TD>will be assigned by database</TD>
	</TR>
	<TR>
		<TD>First Name:</TD>
		<TD><CFINPUT TYPE="Text" NAME="FirstName" MESSAGE="Please enter first name" REQUIRED="Yes" MAXLENGTH="50"></TD>
	</TR>
	<TR>
		<TD>Last Name:</TD>
		<TD><CFINPUT TYPE="Text" NAME="LastName" MESSAGE="Please enter last name" REQUIRED="Yes" MAXLENGTH="50"></TD>
	</TR>
	<TR>
		<TD>Department:</TD>
		<TD><CFSELECT NAME="DepartmentID" 
					  QUERY="qDepartments" 
					  VALUE="DepartmentID" 
					  DISPLAY="DepartmentName" 
					  REQUIRED="Yes">
			</CFSELECT>
		</TD>
	</TR>
	<TR>
		<TD>Title:</TD>
		<TD><CFINPUT TYPE="Text" NAME="Title"  REQUIRED="Yes" SIZE="30" MAXLENGTH="50"></TD>
	</TR>
	<TR>
		<TD>Email:</TD>
		<TD><CFINPUT TYPE="Text" NAME="Email"  MESSAGE="Please enter email address" REQUIRED="Yes" SIZE="30" MAXLENGTH="50"></TD>
	</TR>
	<TR>
		<TD>Extension:</TD>
		<TD><CFINPUT TYPE="Text" NAME="Extension" MESSAGE="Extension must be a number" VALIDATE="integer" REQUIRED="Yes" SIZE="5" MAXLENGTH="5"></TD>
	</TR>
	<TR>
		<TD>Date Hired:</TD>
		<TD><CFINPUT TYPE="Text" NAME="DateHired" MESSAGE="Please enter date in mm/dd/yyyy format" VALIDATE="date" REQUIRED="Yes"><FONT COLOR="##CC0000" SIZE="-1">MM/DD/YYYY</FONT></TD>
	</TR>
	<TR>
		<TD><FONT SIZE="-1" COLOR="#FF0000">all fields are required</FONT></TD>
		<TD><INPUT TYPE="submit" VALUE="Add New Employee"></TD>
	</TR>
  </TABLE>
  </CFFORM>  
</BODY>
</HTML>
