<!--- 
File:			NewsList.cfm	
Description:	List existing news items
Author:			Barry Moore	
Created:		30-Mar-2002
--->
<!--- get news items --->
<CFQUERY NAME="qNewsItems" DATASOURCE="BBdata">
	SELECT  	NewsItemID, NewsDate, NewsHeadline
	FROM    	NewsItems 
	ORDER BY 	NewsDate DESC
</CFQUERY>
<HTML>
<HEAD>
    <TITLE>Beelze-Bubba News Items</TITLE>
	<LINK REL="stylesheet" HREF="../styles/bbstyle.css" TYPE="text/css">
</HEAD>
   <BODY>
   	<!--- include banner --->
   	<CFINCLUDE TEMPLATE="inc_Banner.htm">
	
	<!--- table for main body --->
	<TABLE CELLSPACING="2" CELLPADDING="2" BORDER="0">
		<TR>
			<!--- cell with navigation menu --->
		    <TD VALIGN="top" WIDTH="175">
				<CFINCLUDE TEMPLATE="inc_Navigation.htm">
			</TD>
			<!--- main content cell --->
		    <TD VALIGN="top">
				<!--- begin nested table --->
				<TABLE CELLSPACING="4">
				  <CFOUTPUT QUERY="qNewsItems">
					<TR>
						<TD><B>#DateFormat(NewsDate,"DD-MMM-YYYY")#</B></TD>
						<TD>#NewsHeadline#</TD>
						<TD><A HREF="NewsEdit.cfm?nid=#NewsItemID#">Edit</A></TD>
					</TR>
				  </CFOUTPUT>
				</TABLE>
				
			</TD>
		</TR>
	</TABLE>
	
	
   </BODY>
</HTML>
